summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--ChangeLog6
-rwxr-xr-xtests/chgrp/basic5
2 files changed, 8 insertions, 3 deletions
diff --git a/ChangeLog b/ChangeLog
index f104fba36..d6d88b4eb 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,9 @@
+2006-09-18 Paul Eggert <eggert@cs.ucla.edu>
+
+ * tests/chgrp/basic: Fix bug in test case exposed by building on
+ Solaris 8 in a setgid directory. The test case incorrectly
+ assumed that 'symlink' would be in group $g1.
+
2006-09-18 Jim Meyering <jim@meyering.net>
* NEWS: Add a line for 6.3-cvs.
diff --git a/tests/chgrp/basic b/tests/chgrp/basic
index f83f3a185..5cb8da82f 100755
--- a/tests/chgrp/basic
+++ b/tests/chgrp/basic
@@ -73,11 +73,10 @@ chgrp $g2 d ||fail=1; test `stat --p=%g: $d_files` = "$g2:$g1:" || fail=1
rm -f f
touch f
ln -s f symlink
-chgrp $g1 f; test `stat --printf=%g f` = $g1 || fail=1
+chgrp $g1 f
+test `stat --printf=%g f` = $g1 || fail=1
# This should not change the group of f.
-test `stat --printf=%g f` = $g1 || fail=1
-test `stat --printf=%g symlink` = $g1 || fail=1
chgrp -h $g2 symlink
test `stat --printf=%g f` = $g1 || fail=1
test `stat --printf=%g symlink` = $g2 || fail=1